package com.yeejoin.amos.fas.common.enums;

/**
 * @author suhg
 */

public enum DataRefreshTypeEum {
    /**
     * 数据刷新触发原因
     */
    dateChange("日切","dateChange"),
    rpn("rpn变化","rpn"),
    alarm("设备报警","alarm"),
    monitor("监测数据","monitor"),
    planTask("检查任务","planTask"),
    check("巡检","check"),
    trouble("设备故障","trouble"),
    handleDanger("隐患治理","handleDanger"),
    dutyChange("值班信息","dutyChange");

	private String name;
	
    private String code;

    DataRefreshTypeEum(String name,String code){
        this.name = name;
        this.code = code;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
